## pciutils 2.2.4~pre4

=== Makefile ===
# Makefile for The PCI Utilities
# (c) 1998--2006 Martin Mares <mj@ucw.cz>

OPT=-O2
CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes -Winline

VERSION=2.2.4-pre4
DATE=2006-07-30

PREFIX=/usr/local
SBINDIR=$(PREFIX)/sbin
SHAREDIR=$(PREFIX)/share
IDSDIR=$(SHAREDIR)
MANDIR:=$(shell if [ -d $(PREFIX)/share/man ] ; then echo $(PREFIX)/share/man ; else echo $(PREFIX)/man ; fi)
INSTALL=install
DIRINSTALL=install -d
PCILIB=lib/libpci.a
PCIINC=lib/config.h lib/header.h lib/pci.h lib/types.h lib/sysdep.h

ifeq ($(shell uname),NetBSD)
PCILIB=lib/libpciutils.a
LDFLAGS+=-lpci
else
ifeq ($(shell uname),AIX)
CFLAGS=-g
INSTALL=installbsd
DIRINSTALL=mkdir -p
endif
endif

HOST=
RELEASE=

export

all: $(PCILIB) lspci setpci lspci.8 setpci.8 update-pciids update-pciids.8 pci.ids

$(PCILIB): $(PCIINC) force
	$(MAKE) -C lib all

force:

lib/config.h:
	cd lib && ./configure $(IDSDIR) $(VERSION) $(HOST) $(RELEASE)

lspci: lspci.o common.o $(PCILIB)
setpci: setpci.o common.o $(PCILIB)

lspci.o: lspci.c pciutils.h $(PCIINC)
setpci.o: setpci.c pciutils.h $(PCIINC)
common.o: common.c pciutils.h $(PCIINC)

update-pciids: update-pciids.sh
	sed <$< >$@ "s@^DEST=.*@DEST=$(IDSDIR)/pci.ids@"

%.8: %.man
	M=`echo $(DATE) | sed 's/-01-/-January-/;s/-02-/-February-/;s/-03-/-March-/;s/-04-/-April-/;s/-05-/-May-/;s/-06-/-June-/;s/-07-/-July-/;s/-08-/-August-/;s/-09-/-September-/;s/-10-/-October-/;s/-11-/-November-/;s/-12-/-December-/;s/\(.*\)-\(.*\)-\(.*\)/\3 \2 \1/'` ; sed <$< >$@ "s/@TODAY@/$$M/;s/@VERSION@/pciutils-$(VERSION)/;s#@IDSDIR@#$(IDSDIR)#"

clean:
	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core`
	rm -f update-pciids lspci setpci lib/config.* lib/example *.8 pci.ids.*
	rm -rf maint/dist

distclean: clean

install: all
# -c is ignored on Linux, but required on FreeBSD
	$(DIRINSTALL) -m 755 $(SBINDIR) $(IDSDIR) $(MANDIR)/man8
	$(INSTALL) -c -m 755 -s lspci setpci $(SBINDIR)
	$(INSTALL) -c -m 755 update-pciids $(SBINDIR)
	$(INSTALL) -c -m 644 pci.ids $(IDSDIR)
	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(MANDIR)/man8

uninstall: all
	rm -f $(SBINDIR)/lspci $(SBINDIR)/setpci $(SBINDIR)/update-pciids
	rm -f $(IDSDIR)/pci.ids
	rm -f $(MANDIR)/man8/lspci.8 $(MANDIR)/man8/setpci.8 $(MANDIR)/man8/update-pciids.8

get-ids:
	cp ~/tree/pciids/pci.ids pci.ids

.PHONY: all clean distclean install uninstall get-ids force

## pciutils 2.2.4

=== lib/Makefile ===
# Makefile for The PCI Library
# (c) 1999 Martin Mares <mj@ucw.cz>

include config.mk

OBJS=access.o generic.o dump.o names.o filter.o
INCL=internal.h pci.h config.h header.h sysdep.h types.h

PCILIB=libpci.a

ifdef PCI_HAVE_PM_LINUX_SYSFS
OBJS += sysfs.o
endif

ifdef PCI_HAVE_PM_LINUX_PROC
OBJS += proc.o
endif

ifdef PCI_HAVE_PM_INTEL_CONF
OBJS += i386-ports.o
endif

ifdef PCI_HAVE_PM_DUMP
OBJS += dump.o
endif

ifdef PCI_HAVE_PM_SYSCALLS
OBJS += syscalls.o
endif

ifdef PCI_HAVE_PM_FBSD_DEVICE
OBJS += fbsd-device.o
CFLAGS += -I/usr/src/sys
ifdef FREEBSD_SYS
CFLAGS += -I${FREEBSD_SYS}
endif
endif

ifdef PCI_HAVE_PM_OBSD_DEVICE
OBJS += obsd-device.o
endif

ifdef PCI_HAVE_PM_AIX_DEVICE
OBJS += aix-device.o
endif

ifdef PCI_HAVE_PM_NBSD_LIBPCI
OBJS += nbsd-libpci.o
PCILIB=libpciutils.a
endif

all: $(PCILIB)

$(PCILIB): $(OBJS)
	rm -f $@
	ar rcs $@ $^
	ranlib $@

access.o: access.c $(INCL)
i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h
proc.o: proc.c $(INCL) pread.h
sysfs.o: sysfs.c $(INCL) pread.h
generic.o: generic.c $(INCL)
syscalls.o: syscalls.c $(INCL)
obsd-device.o: obsd-device.c $(INCL)
fbsd-device.o: fbsd-device.c $(INCL)
aix-device.o: aix-device.c $(INCL)
dump.o: dump.c $(INCL)
names.o: names.c $(INCL)
filter.o: filter.c $(INCL)
nbsd-libpci.o: nbsd-libpci.c $(INCL)

example: example.c $(PCILIB)

## pciutils 2.2.7-1.1

=== debian/changelog ===
pciutils (1:2.2.7-1.1) unstable; urgency=low

  * update to 2.2.7
  * Fixed a segfault on amd64

 -- Hauke Habermann <hhabermann@pc-kiel.de>  Fri, 26 Oct 2007 14:33:12 +0000

pciutils (1:2.2.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Removed obsolete dependency libpci2.
  (Closes: #425639)

 -- Arnaud Hocevar <arnaud@hocevar.net>  Sat, 29 Sep 2007 21:25:06 +0000

pciutils (1:2.2.4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.
  * Get rid of build-* rules in debian/rules, don't call build from
    binary-indep and don't touch build-* files.
  * gzip the udeb's stripped pci.ids, but gunzip the deb's pci.ids so
    that programs linked against earlier versions of libpci continue
    to work.  Also modify update-pciids so that it'll install an
    uncompressed version of pci.ids.
  * Change Makefile to not build pcimodules for HURD.  Closes: #380032
  * Improve the error message if we can't read the standard header
  * Remove myself as an Uploader
  [ Matt Taggart ]
  * update pci.ids to 2006-10-27 01:05:01

 -- Matt Taggart <taggart@debian.org>  Fri, 27 Oct 2006 02:55:47 -0700

pciutils (1:2.2.4~pre4-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version
    - Adds -nn option.  Closes: #268031
    - Adds deviceclass field.  Closes: #335665
    - Fixes I/O port access on Hurd.  Closes: #379407

 -- Matthew Wilcox <willy@debian.org>  Fri, 11 Aug 2006 07:34:06 -0400

pciutils (1:2.2.1-2) unstable; urgency=low

  * Fix Maintainer email address

 -- Matthew Wilcox <willy@debian.org>  Wed, 07 Jun 2006 11:09:11 -0400

pciutils (1:2.2.1-1) unstable; urgency=low

  [ Matthew Wilcox ]
  * New upstream version.  Closes: #329370
    - Builds on HURD.  Closes: #349239
    - Debian GNU/kFreeBSD should now build.  Closes: #292324
    - Uses correct header type for PCI-X.  Closes: #265745
    - u64 is now defined in include/pci/types.h.  Closes: #265771
    - Subsystem vendors now printed correctly.  Closes: #304576
    - Error message corrected.  Closes: #347872
    - nv40 replaced with NV40.  Closes: #343222
    - Memory window size now reported correctly.  Closes: #256607
    - The manpage now explains why capabilties are available only to root.
      Closes: #173274
    - Domains are properly supported.  Closes: #369751
  * New debian maintainers.  Thanks to Remco for his years of service.
  * Added option to use curl (instead of wget or lynx) to retrieve pci.ids
  * Revert patch to change -m format from #250737.  Closes: #347877
  * Move /var/lib/pciutils/pci.ids back to /usr/share/misc/pci.ids.
    Closes: #336331
  * Fix typos in pcimodules manpages.  Closes: #356129, #302142
  * Remove libpci.so.2; depend on libpci2 to provide this for compatibility
    with sarge.
  * Build libpci.a with -fPIC for packages which need to build shared
    libraries.
  * Remove -X option as upstream has vetoed it.  It wasn't actually being
    used anyway.
  * Add -D option (which will be in the next upstream release) to always
    show domains.
  * Stop installing the pciutils.lsm file.

  [ Matt Taggart ]
  * update debian/copyright date and author email address
  * Make the pci.ids update a separate debian/rules target that's not
    invoked in a default build
  * minor cleanups in debian/rules
  * get rid of README.debian, it's redundant with upstream info

 -- Matthew Wilcox <willy@debian.org>  Thu, 20 Apr 2006 21:01:24 -0400

pciutils (1:2.1.11-16) unstable; urgency=low

  * New maintainer, closes: #359915.
  * ACK NMUs, closes: #261536, #271226, #278479, #281411, #281413,
    #284110, #326274.
  * Set Standards-Version to 3.6.2. 
  * Added homepage to package descriptions.
  * Added debian watch file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 30 Mar 2006 08:06:49 +1100

pciutils (1:2.1.11-15.3) unstable; urgency=low

  [ Christian Perrier ]
  * Non-maintainer upload to add a udeb providing lspci for d-i purposes
    Closes: #284110

  [ Colin Watson ]
  * Changes merged from Ubuntu patches:
    - Add pciutils-udeb, for use in the installer. Contains only lspci,
      libpci.so.2, and pci.ids.
    - Reduce pciutils-udeb's copy of pci.ids by over 100KB by removing
      subsystem ids, which I don't think we need in the installer, and
      comments.
    - Move pciutils-udeb's copy of libpci.so.2 to /lib; it seems to confuse
      mklibs less that way.

 -- Christian Perrier <bubulle@debian.org>  Sat,  3 Dec 2005 08:16:54 +0100

pciutils (1:2.1.11-15.1) unstable; urgency=low

  * NMU durring BSP
  * remove unneeded wget build-dependancy
  * Store pci.ids under /var for better FHS complicance (closes: #278479)
    patch by Sam Morris
  * Remove pci.ids.old etc when purging the package (closes: #281413)
    patch by Sam Morris
  * fix lspci -F for new or old lspci -x format (closes: #261536)
    based on patch by Ben Pfaff
  * update pci.ids (closes: #281411, hopefully closes: #326274)
	
 -- Blars Blarson <blarson@blars.org>  Sat,  3 Sep 2005 22:07:20 +0000

pciutils (1:2.1.11-15) unstable; urgency=low

  * Updated pci.ids
  * Closes: #259990: pciutils{, -dev}: package description shouldn't
    contain "(for 2.*.* kernels)"
  * Install example.c in package (closes: #228660)

 -- Remco van de Meent <remco@debian.org>  Sun, 18 Jul 2004 10:16:57 +0200

pciutils (1:2.1.11-14) unstable; urgency=medium

  * Added Conflicts with older alsa-utils version (closes: #259661)
  * Updated pci.ids

 -- Remco van de Meent <remco@debian.org>  Fri, 16 Jul 2004 18:38:05 +0200

pciutils (1:2.1.11-13) unstable; urgency=low

  * Updated pci.ids
  * Add pcimodules utility (closes: #253020)
  * Add -X option for output suitable for use in XFree86Config (closes:
    #251828)
  * Fix problem with lspci displaying wrong bar size (closes: #256352)
  * Make machine-readable output better machine-readable (closes:
    #250737)

 -- Remco van de Meent <remco@debian.org>  Fri,  9 Jul 2004 16:13:52 +0200

pciutils (1:2.1.11-12) unstable; urgency=low



=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Debian pciutils Maintainers <pkg-pciutils-discuss@lists.alioth.debian.org>
Uploaders: Matt Taggart <taggart@debian.org>, Anibal Monsalve Salazar <anibal@debian.org>
Build-Depends: debhelper (>> 4), zlib1g-dev
Standards-Version: 3.7.2

Package: pciutils
Architecture: any
Depends: ${shlibs:Depends}
Suggests: curl | wget | lynx
Description: Linux PCI Utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
  Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils-dev
Section: devel
Priority: optional
Architecture: any
Depends: pciutils (= ${Source-Version})
Description: Linux PCI Utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the /usr/lib/libpci.a library.
 .
  Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends: ${shlibs:Depends}
Description: Linux PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
 This is a minimal version for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

PATHS := PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc

update-ids:
	# get a new version of pci.ids, this should only be run by the
	# maintainer, since we don't want different builds of the same
	# source to end up with different versions
	./update-pciids.sh

build:
	dh_testdir
	$(MAKE) $(PATHS)

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) $(PATHS) clean
	dh_clean

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build 
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# pciutils
	$(MAKE) $(PATHS) install DESTDIR=debian/pciutils
	ln -s /usr/bin/lspci debian/pciutils/bin/
	ln -s /usr/bin/setpci debian/pciutils/bin/
#	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
	perl -pi -e 's/PCI_COMPRESSED_IDS=.*$$/PCI_COMPRESSED_IDS=/' \
		debian/pciutils/usr/bin/update-pciids

	# pciutils-dev
	install -m 644 lib/libpci.a debian/pciutils-dev/usr/lib/
	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
			debian/pciutils-dev/usr/include/pci/

	# pciutils-udeb
	install -m 755 lspci debian/pciutils-udeb/usr/bin/
	# Reduce by removing subsystem ids and comments.
#	perl -ne 'print unless /^(#|\t\t)/' < pci.ids |gzip -9 > debian/pciutils-udeb/usr/share/misc/pci.ids.gz
#	chmod 644 debian/pciutils-udeb/usr/share/misc/pci.ids.gz

	dh_installdocs
	dh_installexamples lib/example.c
	dh_installmenu
	dh_installman -ppciutils
	dh_installchangelogs -a ChangeLog
	# Once we get rid of libpci.so, we can sever the -dev's package
	# dependency on it and switch the following back to non-symlink
	rm -rf debian/pciutils-dev/usr/share/doc/pciutils-dev
	ln -sf pciutils debian/pciutils-dev/usr/share/doc/pciutils-dev
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: update-ids build clean binary-indep binary-arch binary source diff

## pciutils 3.0.0

=== lib/Makefile ===
# Makefile for The PCI Library
# (c) 1999--2008 Martin Mares <mj@ucw.cz>

# Expects to be invoked from the top-level Makefile and uses lots of its variables.

OBJS=init access generic dump names filter names-hash names-parse names-net names-cache params
INCL=internal.h pci.h config.h header.h sysdep.h types.h

ifdef PCI_HAVE_PM_LINUX_SYSFS
OBJS += sysfs
endif

ifdef PCI_HAVE_PM_LINUX_PROC
OBJS += proc
endif

ifdef PCI_HAVE_PM_INTEL_CONF
OBJS += i386-ports
endif

ifdef PCI_HAVE_PM_DUMP
OBJS += dump
endif

ifdef PCI_HAVE_PM_FBSD_DEVICE
OBJS += fbsd-device
CFLAGS += -I/usr/src/sys
ifdef FREEBSD_SYS
CFLAGS += -I${FREEBSD_SYS}
endif
endif

ifdef PCI_HAVE_PM_OBSD_DEVICE
OBJS += obsd-device
endif

ifdef PCI_HAVE_PM_AIX_DEVICE
OBJS += aix-device
endif

ifdef PCI_HAVE_PM_NBSD_LIBPCI
OBJS += nbsd-libpci
endif

all: $(PCILIB) $(PCILIBPC)

ifeq ($(SHARED),no)
$(PCILIB): $(addsuffix .o,$(OBJS))
	rm -f $@
	$(AR) rcs $@ $^
	$(RANLIB) $@
else
CFLAGS += -fPIC -fvisibility=hidden
$(PCILIB): $(addsuffix .o,$(OBJS))
	$(CC) -shared $(SONAME) -Wl,--version-script=libpci.ver -o $@ $^ $(LIB_LDLIBS)
endif

$(PCILIBPC): libpci.pc.in
	sed <$< >$@ -e 's,@PREFIX@,$(PREFIX),' \
		-e 's,@INCDIR@,$(INCDIR),' \
		-e 's,@LIBDIR@,$(LIBDIR),' \
		-e 's,@IDSDIR@,$(IDSDIR),' \
		-e 's,@VERSION@,$(VERSION),' \
		-e 's,@LDLIBS@,$(LDLIBS),'

init.o: init.c $(INCL)
access.o: access.c $(INCL)
params.o: params.c $(INCL)
i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h i386-io-windows.h
proc.o: proc.c $(INCL) pread.h
sysfs.o: sysfs.c $(INCL) pread.h
generic.o: generic.c $(INCL)
syscalls.o: syscalls.c $(INCL)
obsd-device.o: obsd-device.c $(INCL)
fbsd-device.o: fbsd-device.c $(INCL)
aix-device.o: aix-device.c $(INCL)
dump.o: dump.c $(INCL)
names.o: names.c $(INCL) names.h
names-cache.o: names-cache.c $(INCL) names.h
names-hash.o: names-hash.c $(INCL) names.h
names-net.o: names-net.c $(INCL) names.h
names-parse.o: names-parse.c $(INCL) names.h
filter.o: filter.c $(INCL)
nbsd-libpci.o: nbsd-libpci.c $(INCL)

## pciutils 3.1.7

=== debian/changelog ===
pciutils (1:3.1.7-6) unstable; urgency=medium

  * Update pci.ids with version 2010.11.24
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 16:19:45 +1100

pciutils (1:3.1.7-5) unstable; urgency=medium

  * Update pci.ids with version 2010.08.23 
  * Fix out-of-date-standards-version
  * Fix xc-package-type-in-debian-control

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Aug 2010 19:10:27 +1000

pciutils (1:3.1.7-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2010-06-12

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Jun 2010 14:17:57 +1000

pciutils (1:3.1.7-3) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2010-04-09 03:15:02 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 11 Apr 2010 07:50:00 +1000

pciutils (1:3.1.7-2) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2010-03-01 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 14 Mar 2010 12:17:33 +1100

pciutils (1:3.1.7-1) unstable; urgency=low

  * New upstream version 
  * Update pci.ids with snapshot dated 2010-02-11 03:15:02
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Feb 2010 17:54:56 +1100

pciutils (1:3.1.6-1) unstable; urgency=low

  * New upstream version 
  * Debian source format is 3.0 (quilt)
  * Don't define GZIP in update-pciids
    Closes: 566311

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jan 2010 14:32:37 +1100

pciutils (1:3.1.4-5) unstable; urgency=low

  * Update pci.ids with snapshot dated 2010-01-11 03:15:02
  * Fix debhelper-but-no-misc-depends

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 16 Jan 2010 17:44:24 +1100

pciutils (1:3.1.4-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-11-23 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 24 Nov 2009 14:58:29 +1100

pciutils (1:3.1.4-3) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-10-22 03:15:02 
  * Build twice in a row successfully
    Closes: 544011
  * Ship libpci.a in libpci-dev
    Closes: 545877

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 07 Nov 2009 20:06:09 +1100

pciutils (1:3.1.4-2) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-09-18 03:15:01 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 09 Oct 2009 12:28:51 +1100

pciutils (1:3.1.4-1) unstable; urgency=low

  * New upstream version 
  * Fix out-of-date-standards-version
  * Update pci.ids with snapshot dated 2009-08-18 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 15:41:13 +1000

pciutils (1:3.1.3-2) unstable; urgency=high

  [ Julien Cristau ]
  * update-pciids: make sure the new pci.ids file has the same
    owner/permissions as the old one. Closes: 540664

  [ Anibal Monsalve Salazar ]
  * Fix shlibs dependency
    Closes: 516848, 519608, 529032
  * Fix priority disparity
  * Update pci.ids with snapshot dated 2009-07-27 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 09 Aug 2009 16:20:14 +0200

pciutils (1:3.1.3-1) unstable; urgency=low

  * New upstream version
  * DH level compatibility is 7
  * Fix out-of-date-standards-version
  * Fix dh-clean-k-is-deprecated

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 06 Jul 2009 08:50:14 +1000

pciutils (1:3.1.2-5) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-06-02 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 12 Jun 2009 15:17:01 +1000

pciutils (1:3.1.2-4) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-05-19 03:15:01
  * Fix typo in setpci manpage; closes: #525258

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 22 May 2009 12:28:39 +1000

pciutils (1:3.1.2-3) unstable; urgency=medium

  * Update pci.ids with snapshot dated 2009-03-29 03:15:02 
  * Fix shlibs; closes: #521176

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 30 Mar 2009 13:31:08 +1100

pciutils (1:3.1.2-2) unstable; urgency=low

  * Update pci.ids with snapshot dated 2009-03-19 03:15:02
  * Fix "FTBFS on GNU/kFreeBSD"; patch by Petr Salinger; closes: #520343
  * Standards version is 3.8.1

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 22 Mar 2009 16:42:57 +1100

pciutils (1:3.1.2-1) unstable; urgency=low

  * New upstream version
  * Update pci.ids with snapshot dated 2009-02-20 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 03 Mar 2009 13:46:34 +1100

pciutils (1:3.0.3-2) unstable; urgency=low

  * Upload to unstable 
  * Put back Matthew Wilcox in uploaders
  * Update pci.ids with snapshot dated 2009-02-14 03:15:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 12:49:19 +1100

pciutils (1:3.0.3-1) experimental; urgency=low

  * New upstream version
  * Update pci.ids with snapshot dated 2008-11-14 03:15:02
  * Support cross-building; patch by Neil Williams; closes: #481672
  * Fix libpci3 long description; closes: #481313

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Nov 2008 18:54:07 +1100

pciutils (1:3.0.2-2) experimental; urgency=low

  * New pci.ids header format; closes: #501612 
  * Update pci.ids with snapshot dated 2008-10-27 03:15:01

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 02 Nov 2008 09:16:00 +1100

pciutils (1:3.0.0-6) unstable; urgency=low

  * New pci.ids header format; closes: #501612
  * Update pci.ids with snapshot dated 2008-10-07 11:49:28

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 09 Oct 2008 22:00:53 +1100

pciutils (1:3.0.2-1) experimental; urgency=low

  * New upstream version 
  * Update pci.ids with snapshot dated Sat 2008-10-04 01:05:02

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 04 Oct 2008 11:05:39 +1000

pciutils (1:3.0.0-5) unstable; urgency=low

  * Do not strip pci.ids in the pciutils binary package; closes: #496655
  * Fix libpci3 long description; closes: #481313


=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>
Build-Depends: debhelper (>= 7), zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml

Package: pciutils
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
Suggests: bzip2, wget | curl | lynx
Description: Linux PCI Utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 

Package: libpci-dev
Section: libdevel
Priority: optional
Architecture: any
Depends: ${misc:Depends}, zlib1g-dev, libpci3 (= ${binary:Version})
Conflicts: pciutils-dev
Provides: pciutils-dev
Replaces: pciutils-dev
Description: Linux PCI Utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the /usr/lib/libpci.a library.

Package: libpci3
Section: libs
Priority: standard
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpci2
Provides: libpci2
Replaces: libpci2
Description: Linux PCI Utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Priority: standard
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus. 
 .
 This is a minimal version for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

PATHS := PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc

update-ids:
	# get a new version of pci.ids, this should only be run by the
	# maintainer, since we don't want different builds of the same
	# source to end up with different versions
	./update-pciids.sh
	rm -f pci.ids.old
	#gunzip pci.ids.gz

build:
	dh_testdir
	$(MAKE) $(CROSS) $(PATHS) SHARED=yes

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) $(PATHS) clean
	rm -f lspci-udeb
	dh_clean

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary-arch: build 
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs -a

	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils

	# pciutils
	gunzip debian/pciutils/usr/share/misc/pci.ids.gz

	# libpci-dev
	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/
	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
			debian/libpci-dev/usr/include/pci/
	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/pkgconfig/
	ln -s libpci.so.3.1.7 debian/libpci-dev/usr/lib/libpci.so

	# libpci3
	install -m 644 lib/libpci.so* debian/libpci3/usr/lib/
	ln -s libpci.so.3.1.7 debian/libpci3/usr/lib/libpci.so.3

	# pciutils-udeb
	# Reduce by removing subsystem ids and comments.
	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' < pci.ids |gzip -9 > debian/pciutils-udeb/usr/share/misc/pci.ids.gz
	chmod 644 debian/pciutils-udeb/usr/share/misc/pci.ids.gz

	dh_installdocs
	dh_installexamples example.c
	dh_installmenu
	dh_installman -ppciutils
	dh_installchangelogs -a ChangeLog
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.7)'
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a -- -Zbzip2 -z9

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: update-ids build clean binary-indep binary-arch binary source diff

## pciutils 3.1.8

=== debian/changelog ===
pciutils (1:3.1.8-2ubuntu5) precise; urgency=low

  * Remove Multi-Arch: same from libpci-dev; /usr/include/pci/config.h is
    not identical across architectures (LP: #948205).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Mar 2012 12:03:25 +0000

pciutils (1:3.1.8-2ubuntu4) precise; urgency=low

  * Downloaded daily snapshot dated 2012-02-27 03:15:01

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 05 Mar 2012 06:43:17 -0700

pciutils (1:3.1.8-2ubuntu3) precise; urgency=low

  * Downloaded daily snapshot dated 2012-01-18 03:15:02 

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 31 Jan 2012 07:46:21 -0700

pciutils (1:3.1.8-2ubuntu2) precise; urgency=low

  * Explicitly call dh_builddeb -plibpci3-udeb, since debian/rules is now
    enumerating all the packages in order to enable bzip2 compression on the
    .debs.
  * Fix the ldconfig link target in the udeb.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Dec 2011 20:42:25 +0000

pciutils (1:3.1.8-2ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Add libpci3-udeb, for future use by biosdevname-udeb.
    - Move libpci3 to /lib for biosdevname (LP: #813710).
  * Don't put -dev files in /lib; these still belong under /usr/lib.
  * Set single-debian-patch in debian/source/options, so that future pci.ids
    updates don't result in umpteen debian-changes-$version patches.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Dec 2011 11:40:54 -0800

pciutils (1:3.1.8-2) unstable; urgency=low

  * Add multi-arch support
    Patch by Riku Voipio
    Closes: 641269

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 30 Nov 2011 09:01:37 +1100

pciutils (1:3.1.8-1) unstable; urgency=low

  * New upstream version 3.1.8

    * More capabilities: Transaction Processing Hints, Latency Tolerance
      Reporting. Thanks to Jesse Barnes.
 
    * Added BeOS and Haiku ports. Contributed by Francois Revol.
 
    * pciutils.pc now uses Libs.private properly.
 
    * When we format a name and it does not fit in the buffer, we truncate
      it instead of returning "buffer too small" instead. This works on all
      platforms with sane (i.e., C99-compatible) snprintf().
 
    * Various minor bug fixes.
 
  * Update pci.ids with version 2011.11.09

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 28 Nov 2011 19:25:53 +1100

pciutils (1:3.1.7-12) unstable; urgency=high

  * pciutils-udeb: Don't pass "-Zbzip2 -z9" to dpkg-deb
    Refer to Bug#634865

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Jul 2011 12:22:42 +1000

pciutils (1:3.1.7-11) unstable; urgency=medium

  * Update pci.ids with version 2011.07.14

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 13:45:04 +1000

pciutils (1:3.1.7-10) unstable; urgency=medium

  * Update pci.ids with version 2011.06.23
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 25 Jun 2011 15:11:49 +1000

pciutils (1:3.1.7-9) unstable; urgency=medium

  * Update pci.ids with version 2011.04.04
  * Debian policy version is 3.9.2

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Apr 2011 13:14:51 +1000

pciutils (1:3.1.7-8) unstable; urgency=medium

  * Update pci.ids with version 2011.03.12

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 23 Mar 2011 18:12:47 +1100

pciutils (1:3.1.7-7) unstable; urgency=low

  * Update pci.ids with version 2011-02-06

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 11 Feb 2011 21:18:09 +1100

pciutils (1:3.1.7-4ubuntu11) oneiric; urgency=low

  * Move libpci3 to /lib for biosdevname (LP: #813710).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Sep 2011 16:02:28 +0100

pciutils (1:3.1.7-4ubuntu10) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-09-08 03:15:04

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 12 Sep 2011 08:12:08 -0600

pciutils (1:3.1.7-4ubuntu9) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-07-14 03:15:06

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 26 Jul 2011 08:58:28 -0600

pciutils (1:3.1.7-4ubuntu8) oneiric; urgency=low

  * Downloaded daily snapshot dated 2011-05-25 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 May 2011 09:39:23 -0600

pciutils (1:3.1.7-4ubuntu7) natty; urgency=low

  * Downloaded daily snapshot dated 2011-03-12 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 17 Mar 2011 07:19:44 -0600

pciutils (1:3.1.7-4ubuntu6) natty; urgency=low

  * Add libpci3-udeb, for future use by biosdevname-udeb.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 23 Feb 2011 16:06:23 +0000

pciutils (1:3.1.7-4ubuntu5) natty; urgency=low

  * Downloaded daily snapshot dated 2011-01-22 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 25 Jan 2011 11:01:22 -0700

pciutils (1:3.1.7-4ubuntu4) natty; urgency=low

  * Downloaded daily snapshot dated 2010-11-24 03:15:02

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 29 Nov 2010 09:15:14 -0700

pciutils (1:3.1.7-4ubuntu3) natty; urgency=low

  * Downloaded daily snapshot dated 2010-10-20

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Oct 2010 11:37:52 -0600

pciutils (1:3.1.7-4ubuntu2) maverick; urgency=low

  * Downloaded daily snapshot dated 2010-08-25 03:15:04

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 26 Aug 2010 12:41:33 -0600

pciutils (1:3.1.7-4ubuntu1) maverick; urgency=low

  * Downloaded daily snapshot dated 2010-07-14 03:15:03

 -- Tim Gardner <tim.gardner@canonical.com>  Tue, 27 Jul 2010 14:23:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>
-Build-Depends: debhelper (>= 7), zlib1g-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8.1.3), zlib1g-dev
+Standards-Version: 3.9.2
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
 Architecture: any
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
+Multi-Arch: foreign
 Suggests: bzip2, wget | curl | lynx
 Description: Linux PCI Utilities
  This package contains various utilities for inspecting and setting of
@@ -33,6 +35,8 @@
 Priority: standard
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Conflicts: libpci2
 Provides: libpci2
 Replaces: libpci2
@@ -53,3 +57,17 @@
  devices connected to the PCI bus. 
  .
  This is a minimal version for use in debian-installer.
+
+Package: libpci3-udeb
+XC-Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Linux PCI Utilities (shared library)
+ This package contains the libpci shared library files.
+ .
+ The libpci library provides portable access to configuration
+ registers of devices connected to the PCI bus.
+ .
+ This is a minimal version for use in debian-installer.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
 endif
 
-PATHS := PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
+PATHS := LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
 
 update-ids:
 	# get a new version of pci.ids, this should only be run by the
@@ -18,6 +20,8 @@
 	rm -f pci.ids.old
 	#gunzip pci.ids.gz
 
+build-arch: build
+build-indep: build
 build:
 	dh_testdir
 	$(MAKE) $(CROSS) $(PATHS) SHARED=yes
@@ -45,20 +49,26 @@
 	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
 
 	# libpci-dev
-	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/
+	mkdir -p debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
+	install -m 644 lib/libpci.a debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
-	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/pkgconfig/
-	ln -s libpci.so.3.1.7 debian/libpci-dev/usr/lib/libpci.so
+	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.8 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
-	install -m 644 lib/libpci.so* debian/libpci3/usr/lib/
-	ln -s libpci.so.3.1.7 debian/libpci3/usr/lib/libpci.so.3
+	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
+	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
+	ln -s libpci.so.3.1.8 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
 	perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' < pci.ids |gzip -9 > debian/pciutils-udeb/usr/share/misc/pci.ids.gz
 	chmod 644 debian/pciutils-udeb/usr/share/misc/pci.ids.gz
+
+	# libpci3-udeb
+	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
+	ln -s libpci.so.3.1.8 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -68,12 +78,15 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.7)'
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.8-2)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -a -- -Zbzip2 -z9
+	dh_builddeb -ppciutils -- -Zbzip2 -z9
+	dh_builddeb -plibpci-dev -- -Zbzip2 -z9
+	dh_builddeb -plibpci3 -- -Zbzip2 -z9
+	dh_builddeb -ppciutils-udeb -plibpci3-udeb
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

## pciutils 3.1.9

=== debian/changelog ===
pciutils (1:3.1.9-6) unstable; urgency=low

  * Update pci.ids with version 2012.11.19

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 20 Nov 2012 09:43:33 +1100

pciutils (1:3.1.9-5) unstable; urgency=medium

  * Update pci.ids with version 2012.06.25

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 30 Jun 2012 13:33:01 +1000

pciutils (1:3.1.9-4) unstable; urgency=low

  * Enable hardened build flags
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 14 Jun 2012 11:49:37 +1000

pciutils (1:3.1.9-3) unstable; urgency=medium

  * Update pci.ids with version 2012.05.07

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 May 2012 13:05:10 +1000

pciutils (1:3.1.9-2) unstable; urgency=medium

  * Update pci.ids with version 2012.04.09 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 11 Apr 2012 20:04:52 +1000

pciutils (1:3.1.9-1) unstable; urgency=low

  * New upstream version 3.1.9
    - Decode PCIe Gen 3 speeds and link status fields
    - Fix "non-informative text for VIA VT6415"
      Closes: 589674
    - Fix "libpci3: lspci -i x crashes"
      Closes: 624202
  * Merge 1:3.1.8-2ubuntu5
    - Remove Multi-Arch: same from libpci-dev; /usr/include/pci/config.h is
      not identical across architectures
      Closes: 658766
    - Add libpci3-udeb, for future use by biosdevname-udeb
    - Don't put -dev files in /lib; these still belong under /usr/lib
    - Set single-debian-patch in debian/source/options, so that future pci.ids
      updates don't result in umpteen debian-changes-$version patches
  * Update the pciutils Uploaders list
    Closes: 572503
  * Update pci.ids with version 2012.02.27

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 30 Mar 2012 17:02:27 +1100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
-Uploaders: Matthew Wilcox <willy@debian.org>, Matt Taggart <taggart@debian.org>
-Build-Depends: debhelper (>= 8.1.3), zlib1g-dev
-Standards-Version: 3.9.2
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Uploaders: Matt Taggart <taggart@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev
+Standards-Version: 3.9.3
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
@@ -59,7 +58,7 @@
  This is a minimal version for use in debian-installer.
 
 Package: libpci3-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Section: debian-installer
 Architecture: any
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
+
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 DEB_HOST_GNU_TYPE=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -24,7 +28,7 @@
 build-indep: build
 build:
 	dh_testdir
-	$(MAKE) $(CROSS) $(PATHS) SHARED=yes
+	OPT="$(CFLAGS)" $(MAKE) $(CROSS) $(PATHS) SHARED=yes
 
 clean:
 	dh_testdir
@@ -54,12 +58,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.8 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.9 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.1.8 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.1.9 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -68,7 +72,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.1.8 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.1.9 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -78,7 +82,7 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.8-2)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.9-2)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a

## pciutils 3.2.1

=== debian/changelog ===
pciutils (1:3.2.1-3) unstable; urgency=medium

  * Update pci.ids with version 2014.09.09.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Sep 2014 03:44:50 +0100

pciutils (1:3.2.1-2) unstable; urgency=medium

  * Update pci.ids with version 2014.02.14 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Feb 2014 13:13:27 +1100

pciutils (1:3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
    - CardBus bridge capabilities are displayed.
    - PCIe L1 PM substates are decoded.
    - Various bugs were fixed in decoding of PCIe capabilities.
    - The sysfs back-end does not spit out unnecessary warnings when
      slots report only a partial device address. This actually
      on IBM pSeries.
  * Update 01-Makefile.patch
  * Update pci.ids with version 2013.12.27
  * Debian policy version is 3.9.5
  * Suggests package lynx-cur
    Closes: #710580

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 28 Dec 2013 10:47:09 +1100

pciutils (1:3.2.0-3) unstable; urgency=low

  * Update pci.ids with version 2013.07.01
  * Update package description
    Patch by Justin B Rye
    Closes: #708363
  * libpci.pc: add -lresolv and -lz for static linking
    Add 07-697383-libpci.pc.in.patch
    Closes: #697383

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 02 Jul 2013 11:17:29 +1000

pciutils (1:3.2.0-2) unstable; urgency=low

  * Update pci.ids with version 2013.06.06

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 06 Jun 2013 13:07:10 +1000

pciutils (1:3.2.0-1) unstable; urgency=low

  * New upstream version 3.2.0
    - 3.2.0
      On newer Linux systems, we use libkmod to look up kernel modules
      (modules.pcimap no longer exists.) To facilitate this, libpci
      is able to look up module aliases in sysfs.
    - 3.1.10
      Decoding of LTR/OBFF in PCIe capabilities.
  * Debian policy version is 3.9.4
  * Update pci.ids with version 2013.05.22
  * update-pciids is in /usr/sbin
    Closes: #708361
  * Update
    01-Makefile.patch
    04-update-pciids.sh.patch
  * Fix various issues in setpci.man update-pciids.man
    Patches by Bjarni Ingi Gislason
    Add 05-674708-setpci.man.patch
    Add 06-675087-update-pciids.man.patch
    Closes: #674708, #675087

  [ Colin Watson ]
  * Set CROSS_COMPILE rather than CC when cross-building, so that we use the
    correct ar and ranlib too.
    Closes: #694903
  * Tell the upstream build system not to strip binaries when installing
    them; dh_strip will handle that, using the correct strip program and
    honouring DEB_BUILD_OPTIONS=nostrip.
    Closes: #694903

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 23 May 2013 11:57:46 +1000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Matt Taggart <taggart@debian.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9), zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 
 Package: pciutils
@@ -12,7 +12,7 @@
 Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpci3 (= ${binary:Version})
 Multi-Arch: foreign
-Suggests: bzip2, wget | curl | lynx
+Suggests: bzip2, wget | curl | lynx-cur
 Description: Linux PCI Utilities
  This package contains various utilities for inspecting and setting of
  devices connected to the PCI bus.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 DEB_HOST_MULTIARCH=$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
-CROSS=CC=$(DEB_HOST_GNU_TYPE)-gcc
+CROSS=CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 endif
 
 PATHS := LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) PREFIX=/usr SBINDIR=/usr/bin IDSDIR=/usr/share/misc
@@ -47,10 +47,11 @@
 	dh_prep
 	dh_installdirs -a
 
-	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils
+	$(MAKE) $(CROSS) $(PATHS) install DESTDIR=debian/pciutils STRIP=
 
 	# pciutils
 	gunzip debian/pciutils/usr/share/misc/pci.ids.gz
+	mv debian/pciutils/usr/bin/update-pciids debian/pciutils/usr/sbin
 
 	# libpci-dev
 	mkdir -p debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
@@ -58,12 +59,12 @@
 	install -m 644 lib/pci.h lib/header.h lib/config.h lib/types.h \
 			debian/libpci-dev/usr/include/pci/
 	install -m 644 lib/libpci.pc debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/
-	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.1.9 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
+	ln -s /lib/$(DEB_HOST_MULTIARCH)/libpci.so.3.2.1 debian/libpci-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libpci.so
 
 	# libpci3
 	mkdir -p debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
 	install -m 644 lib/libpci.so* debian/libpci3/lib/$(DEB_HOST_MULTIARCH)
-	ln -s libpci.so.3.1.9 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
+	ln -s libpci.so.3.2.1 debian/libpci3/lib/$(DEB_HOST_MULTIARCH)/libpci.so.3
 
 	# pciutils-udeb
 	# Reduce by removing subsystem ids and comments.
@@ -72,7 +73,7 @@
 
 	# libpci3-udeb
 	install -m 644 lib/libpci.so* debian/libpci3-udeb/lib/
-	ln -s libpci.so.3.1.9 debian/libpci3-udeb/lib/libpci.so.3
+	ln -s libpci.so.3.2.1 debian/libpci3-udeb/lib/libpci.so.3
 
 	dh_installdocs
 	dh_installexamples example.c
@@ -82,15 +83,12 @@
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
-	dh_makeshlibs -a -V 'libpci3 (>= 1:3.1.9-2)' --add-udeb=libpci3-udeb
+	dh_makeshlibs -a -V 'libpci3 (>= 1:3.2.1-1)' --add-udeb=libpci3-udeb
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
-	dh_builddeb -ppciutils -- -Zbzip2 -z9
-	dh_builddeb -plibpci-dev -- -Zbzip2 -z9
-	dh_builddeb -plibpci3 -- -Zbzip2 -z9
-	dh_builddeb -ppciutils-udeb -plibpci3-udeb
+	dh_builddeb -a
 
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
